<?php
/**
 *
 * @author  ahrasis http://elk.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod     FFAHM: Fully Friendly Admin Highlighter Mod
 *
 */

if (!defined('ELK'))
	die('No access...');

function FFAHM()
{
	global $context, $modSettings;
	
	// Load language
	loadLanguage('FFAHM');
	
	if (!empty($modSettings['ffahm_enable'])) {
		// Color for highlighting package (Default is lightcyan)
		$context['html_headers'] .= '
	<style type="text/css">
		#admin_content p.description:hover, #admin_content dl.settings:hover, #admin_content li:hover,
		#admin_content .infobox:hover, #admin_content .information:hover,
		#admin_content div.windowbg:hover, #admin_content div.windowbg2:hover, #admin_content div.content:hover,
		#admin_content tr.windowbg:hover, #admin_content tr.windowbg2:hover, #admin_content tr.standard_row:hover, #admin_content tr:hover td
		{background: ' . (empty($modSettings['ffahm_change']) ? 'lightcyan' : $modSettings['ffahm_change']) . ';}
	</style>';
	}
}

function FFAHM_Settings(&$config_vars)
{
	// Add Settings
	$ffahm = array(
			array('check', 'ffahm_enable'),
			array('text', 'ffahm_change'),
			'',
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $ffahm);
}
?>